#
# spec file for package rygel
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           rygel
Version:        0.8.3
Release:        3
License:        LGPL v2 or later
Summary:        Collection of UPnP/DLNA services for GNOME
Url:            http://live.gnome.org/Rygel
Group:          Productivity/Multimedia/Other
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gstreamer-0_10-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libgee-devel
BuildRequires:  libgupnp-av-devel
BuildRequires:  libgupnp-devel
BuildRequires:  libgupnp-dlna-devel
BuildRequires:  libsoup-devel
BuildRequires:  libuuid-devel
BuildRequires:  sqlite3-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  vala
Requires:       gstreamer-0_10-plugins-base
Recommends:     gstreamer-0_10-plugins-bad
Recommends:     gstreamer-0_10-plugins-good
Recommends:     gstreamer-0_10-plugins-ugly
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak),
implemented through a plug-in mechanism. UPnP in simplest words is a set of
protocols that defines how different devices on a home network can seamlessly
(without or with minimum configuration) communicate with each other. UPnP AV
defines how multimedia systems could be built on top of that. DLNA in simple
words is a long list of rules that implementers must comply to if they want
to achieve interoperability with other implementations in the market.

%package devel
License:        LGPL v2 or later
Summary:        Collection of UPnP/DLNA services for GNOME -- Development Files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak).

This package provides development files for rygel.

%package plugin-gstreamer-renderer
License:        LGPL v2 or later
Summary:        Collection of UPnP/DLNA services for GNOME -- GStreamer Renderer Plugin
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description plugin-gstreamer-renderer
Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak).

This package provides a standalone MediaRenderer plugin, based on the
GStreamer playbin2 element.

%package plugin-tracker
License:        LGPL v2 or later
Summary:        Collection of UPnP/DLNA services for GNOME -- Tracker Plugin
Group:          Productivity/Multimedia/Other
Requires:       tracker
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:tracker)

%description plugin-tracker
Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak).

This package provides a plugin using tracker to export media found on
the local machine.

%package plugin-zdf-mediathek
License:        LGPL v2 or later
Summary:        Collection of UPnP/DLNA services for GNOME -- ZDF Mediathek Plugin
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}
# Make it installable by default for german-speaking users
Provides:       locale(%{name}:de)

%description plugin-zdf-mediathek
Rygel is a collection of DLNA (UPnP AV) services (devices in UPnP speak).

This package provides a plugin to export online media from the ZDF TV
station.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure --enable-tracker-plugin \
    --enable-media-export-plugin \
    --enable-external-plugin \
    --enable-mediathek-plugin \
    --enable-gst-launch-plugin
%__make %{?_smp_mflags} V=1

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
# Work around bgo#637226
rm -r %{buildroot}%{_datadir}/icons/hicolor/120x120
%suse_update_desktop_file rygel
%suse_update_desktop_file rygel-preferences X-SuSE-ControlCenter-System
%find_lang %{name} %{?no_lang_C}

%clean
rm -rf %{buildroot}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/rygel.conf
%{_bindir}/rygel
%{_bindir}/rygel-preferences
%{_datadir}/rygel/
%{_datadir}/applications/rygel.desktop
%{_datadir}/applications/rygel-preferences.desktop
%{_datadir}/dbus-1/services/org.gnome.Rygel1.service
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/*/*
# Plugins that we ship by default because they don't have a dependency and can
# be useful to most people
%dir %{_libdir}/rygel-1.0/
# external applications implementing D-Bus MediaServer spec
%{_libdir}/rygel-1.0/librygel-external.so
# GStreamer pipelines in the config
%{_libdir}/rygel-1.0/librygel-gst-launch.so
# folders and files in the config
%{_libdir}/rygel-1.0/librygel-media-export.so
# media players implementing MPRIS2 D-Bus interface
%{_libdir}/rygel-1.0/librygel-mpris.so

%files devel
%defattr(-, root, root)
%{_includedir}/rygel-1.0/
%{_libdir}/pkgconfig/rygel-1.0.pc
%{_datadir}/vala/vapi/rygel-1.0.deps
%{_datadir}/vala/vapi/rygel-1.0.vapi

%files plugin-gstreamer-renderer
%defattr(-, root, root)
%{_libdir}/rygel-1.0/librygel-playbin.so

%files plugin-tracker
%defattr(-, root, root)
%{_libdir}/rygel-1.0/librygel-media-tracker.so

%files plugin-zdf-mediathek
%defattr(-, root, root)
%{_libdir}/rygel-1.0/librygel-mediathek.so

%files lang -f %{name}.lang

%changelog
